## upterm host

Host a terminal session

### Synopsis

Host a terminal session via a reverse SSH tunnel to the upterm server. By default, the command authenticates against the upterm server using the private keys located at `~/.ssh/id_dsa`, `~/.ssh/id_ecdsa`, `~/.ssh/id_ed25519`, and `~/.ssh/id_rsa`. The host can permit a list of client public keys by specifying an authorized_keys file. By default, the input/output of the host attaches to the input/output of the client's. The host can force the execution of a command after the client joins, and attach the input/output of this command to the client's.

```
upterm host [flags]
```

### Examples

```
  # Host a terminal session that runs $SHELL with
  # client's input/output attaching to the host's
  upterm host

  # Host a session with a custom command.
  upterm host -- docker run --rm -ti ubuntu bash

  # Host a session that runs 'tmux new -t pair-programming' and
  # force clients to join with 'tmux attach -t pair-programming'.
  # This is similar to tmate.
  upterm host --force-command 'tmux attach -t pair-programming' -- tmux new -t pair-programming

  # Use a different Uptermd server and host a session via WebSocket
  upterm host --server wss://YOUR_UPTERMD_SERVER -- YOUR_COMMAND
```

### Options

```
  -a, --authorized-key string   an authorized_keys file that lists public keys that are permitted to connect.
  -f, --force-command string    force execution of a command and attach its input/output to client's.
  -h, --help                    help for host
  -i, --private-key strings     private key for public key authentication against the upterm server (required).
      --server string           upterm server address (required), supported protocols are shh, ws, or wss. (default "ssh://uptermd.upterm.dev:22")
```

### SEE ALSO

* [upterm](upterm.md)	 - Secure Terminal Sharing

###### Auto generated by spf13/cobra on 22-Mar-2020
